Name:           tomboy
Version:        0.5.3
Release:        1%{?dist}
Summary:        Tomboy is a desktop note-taking application for Linux and Unix

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.beatniksoftware.com/tomboy/
Source0:        %{name}-%{version}.tar.bz2
Patch1:         tomboy-0.5.2-wrapper.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.2.3 
BuildRequires:  atk-devel >= 1.2.4 
BuildRequires:  gnome-panel-devel
BuildRequires:  gtkspell-devel
BuildRequires:  libgnomeprintui22-devel >= 2.2
BuildRequires:  gtk-sharp2-devel
BuildRequires:  gnome-sharp-devel
BuildRequires:  dbus-sharp-devel
BuildRequires:  gmime-sharp
BuildRequires:	mono-devel
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils
BuildRequires:  perl-XML-Parser


Requires:	gtkspell

# Mono only available on these: (s390x disabled for now)
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple and easy
to use, but with potential to help you organize the ideas and information you
deal with every day.  The key to Tomboy's usefulness lies in the ability to
relate notes and ideas together.  Using a WikiWiki-like linking system,
organizing ideas is as simple as typing a name.  Branching an idea off is easy
as pressing the Link button. And links between your ideas won't break, even when
renaming and reorganizing them.

%prep
%setup -q
%patch1 -p1 -b .wrapper

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --enable-dbus=yes --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm $RPM_BUILD_ROOT%{_libdir}/tomboy/*.la
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/Plugins/*.dll

# don't need these
rm $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/tomboy.schemas > /dev/null


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/tomboy.schemas >/dev/null;
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/pkgconfig/*.pc
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/icons/hicolor/*/apps/tomboy.png
%{_datadir}/icons/hicolor/*/apps/tomboy-note.png
%{_datadir}/icons/hicolor/scalable/apps/tomboy.svg
%{_datadir}/pixmaps/tomboy.png
%{_datadir}/gnome/help/tomboy
%{_datadir}/omf/tomboy

%{_sysconfdir}/gconf/schemas/tomboy.schemas


%changelog
* Thu Jan 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Wed Dec 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.2-1
- Update to 0.5.2

* Wed Sep  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Wed Sep  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.0-2
- Fix an issue with the applet icon size (205379)

* Tue Sep  5 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.3.9-3
- Rebuild with new mono and gtk-sharp2

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.9-2.fc6
- Make the about dialog close (#202355)

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.9-1.fc6
- Update to 0.3.9
- Fix %%preun script
- Use upstream icons

* Wed Jul 13 2006 Jesse Keating <jkeating@redhat.com> - 0.3.5-7
- rebuild
- Add missing br gettext
- don't build on s390(x)

* Thu May 25 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.3.5-5
- rebuild

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.5-4
- Add missing BuildRequires

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-3
- Don't run tomboy in the current working directory

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-2
- Rebuild

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 0.3.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb  6 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-1
- Tomboy 0.3.5

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 0.3.4-2
- Rebuild

* Mon Jan 30 2006 Alexander Larsson <alexl@redhat.com> - 0.3.4-1
- update to 0.3.4

* Fri Jan 13 2006 Alexander Larsson <alexl@redhat.com> 0.3.3-5
- Add gtkspell requirement

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.3.3-4
- Better icons

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.3.3-3
- rebuild for new dbus

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 0.3.3-2
- Make dlls and exes executable to pick up dependencies

* Wed Nov 16 2005 Alexander Larsson <alexl@redhat.com> - 0.3.3-1
- Initial package

